package com.winhc.config;

import org.neo4j.ogm.session.SessionFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.neo4j.repository.config.EnableNeo4jRepositories;
import org.springframework.data.neo4j.transaction.Neo4jTransactionManager;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@Configuration
@EnableNeo4jRepositories(basePackages = {"com.winhc.repository"})
@EnableTransactionManagement
public class Neo4jConfig {

//
//    /******Session Factory*******/
//    @Bean("sessionFactory")
//    public SessionFactory sessionFactory(org.neo4j.ogm.config.Configuration configuration) {
//        // with domain entity base package(s)
//        return new SessionFactory(configuration(),"com.winhc.entity");
//    }
//
//    @Bean
//    public org.neo4j.ogm.config.Configuration configuration() {
//        org.neo4j.ogm.config.Configuration configuration = new org.neo4j.ogm.config.Configuration.Builder()
//                .uri("bolt://106.14.211.187:7687")
//                .connectionPoolSize(100)
//                .credentials("neo4j", "neo4j168")
//                .build();
//        return configuration;
//    }
//
//    @Bean
//    public Neo4jTransactionManager transactionManager() {
//        return new Neo4jTransactionManager(sessionFactory(configuration()));
//    }
//    @Bean
//    public org.neo4j.ogm.config.Configuration getConfiguration() {
//        org.neo4j.ogm.config.Configuration config = new Configuration();
//        config.driverConfiguration().setDriverClassName(" org.neo4j.ogm.drivers.http.driver.HttpDriver")
//                .setURI(" http： // user：password @ localhost：7474");
//        return config;
//    }
//
//    @Bean
//    public SessionFactory getSessionFactory() {
//        return new SessionFactory(getConfiguration(), "");
//    }
}


//@Configuration
//@EnableNeo4jRepositories("com.neo4j.repository")
//@EnableTransactionManagement
//public class Neo4jConfig extends Neo4jConfiguration {
//
//    public static final int NEO4J_PORT = 7474;
//
//    @Bean
//    public SessionFactory getSessionFactory() {
//        return new SessionFactory("com.neo4j.domain");
//    }
//
//    //配置事务
//    @Bean
//    @Qualifier("neo4jTransactionManager")
//    public Neo4jTransactionManager neo4jTransactionManager() throws Exception {
//        return new Neo4jTransactionManager(getSession());
//    }
//
//}