package com.winhc.utils;

import cn.hutool.json.JSONUtil;
import org.apache.kafka.clients.consumer.ConsumerRecord;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author π
 * @Description:
 * @date 2021/1/11 21:31
 */
public class CompanyUtils {
    public static List<Map<String, Object>> map(List<ConsumerRecord<?, ?>> records) {
        return records.stream().filter(r -> (r != null && r.value() != null)).map(r -> {
            Map<String, Object> m = JSONUtil.parseObj(r.value().toString());
            return m;
        }).collect(Collectors.toList());
    }

    public static List<Map<String, Object>> filterList(List<Map<String, Object>> list, String type) {
        return list.stream().filter(r -> (r.get("topic_type").equals(type))).collect(Collectors.toList());
    }
}
